
import java.io.*;
public class BigIntegers
 
{

	private BufferedReader infile;
	private String s;
	private String [] parts;	
	private MyInteger term1;
	private MyInteger term2;
	private MyInteger term3;
	private int caseno;
	
    public BigIntegers() 
    {
    	try
    	{
    		//infile = new BufferedReader(new FileReader("Big.txt"));
    		infile = new BufferedReader(new InputStreamReader(System.in));
    		
    		s = infile.readLine();
    		while(!s.equals("0 0"))
    		{
    			caseno++;
    			parts = s.split(" ");
    			term1 = new MyInteger(parts[0]);
    			term2 = new MyInteger(parts[1]);
    				term3 = term1.add(term2);    				

 //   			System.out.println(parts[0] + " " + "+" + " " + parts[1]);

  //  			System.out.println(term1.toString() + " + " + term2 + " = " + term3.toString());
    			System.out.println("Case " + caseno + ": " + term3.toString());

    			//System.out.println();
    			
    			s = infile.readLine();
    		} // while
    		infile.close();
    	}
    	catch(Exception e)
    	{
    		System.out.println(e);
    	}
		
    } // constructor
    
    
    public static void main(String [] args)
    {
    	new BigIntegers();
    } // main
    
} // class

class MyInteger
{
	private String s;
	private int length;
	
	public MyInteger(String r)
	{
		s = r;
		length = s.length();
		return;
		
		
	}
	

	
	public MyInteger add(MyInteger r)
	{
		int[] A;
		int[] B;
		int[] C;
		int carry;
		String ans;
		
		int maxlength = 0;
		
		if(this.length > r.length)
		{
			maxlength = this.length;
		}
		else
		{
			maxlength = r.length;
		}
		A = new int[maxlength];
		B = new int[maxlength];
		C = new int[maxlength];
				
		for(int i = 0; i < maxlength; i++)
		{
			A[i] = 0;
			B[i] = 0;
			C[i] = 0;
		}
		// reverse A

		for (int i = this.length-1; i >=0; i--)
		{
			A[this.length-1-i] = Integer.parseInt(s.substring(i,i+1));
		}
		

		
		// reverse B
		for (int i = r.length-1; i >=0; i--)
		{
			B[r.length-1-i] = Integer.parseInt(r.s.substring(i,i+1));
		}

		carry = 0;
		for (int i = 0; i < maxlength; i++)
		{
			
			C[i] = A[i] + B[i] + carry;
			carry = 0;
			if (C[i] >= 10)
			{
				C[i] = C[i] - 10;
				carry = 1;
			}
		}
		
		ans = "";
		if (carry == 1)
		{
			ans = "1";
		}
		for(int i = maxlength-1; i >=0; i--)
		{
			ans = ans + C[i];
		
			
		}
		
		return new MyInteger(ans);
	}
	

	public String toString()
	{
		return s;
	}
	

} // class

