//
//  main.cpp
//  HighSchoolProgrammingProblem2
//
//  Created by Stephany Coffman-Wolph on 10/22/15.
//  Copyright (c) 2015 Stephany Coffman-Wolph. All rights reserved.
//

using namespace std;
#include <iostream>
#include <string>

bool debug = false;

int divideBy60(int time)
{
    return time/59;
}

int divideBy12(int time)
{
    return time/11;
}

int divideBy24(int time)
{
    return time/23;
}


int main(int argc, const char * argv[])
{

    // insert code here...
    if(debug) { cout << "Hello, World!\n";}
    
    //12:4:7:9:A  FORMAT
    string userInput;
    string hrs;
    string min;
    string sec;
    string am_pm;
    
    int hours = 0;
    int minutes = 0;
    int seconds = 0;
    
    bool is24hour = false;
    
    do
    {
        getline(cin, userInput);
        
        if(userInput.compare("99") == 0)  { return 0; }
        
        //Pull it apart
        string delimiter = ":";
        string token = userInput.substr(0, userInput.find(delimiter));
        userInput = userInput.substr(token.length() + 1);
        if(token.compare("24") == 0)  { is24hour = true; }
        
        //if(is24hour) { cout << "is24hour = true" << endl; }
        //if(!is24hour) { cout << "is24hour = false" << endl;; }
        if(debug) { cout << "Clock type = " + token << endl; }
        if(debug) { cout << "userInput = " + userInput << endl; }
        
        token = userInput.substr(0, userInput.find(delimiter));
        hrs = token;
        hours = stoi(hrs);
        userInput = userInput.substr(token.length() + 1);
        if(debug) { cout << "Hour = " + hrs << endl; }
        
        token = userInput.substr(0, userInput.find(delimiter));
        min = token;
        minutes = stoi(min);
        userInput = userInput.substr(token.length() + 1);
        if(debug) { cout << "Minute = " + min << endl; }
        
        if(is24hour == true)
        {
            token = userInput.substr(0, userInput.find(delimiter));
            sec = token;
            seconds = stoi(sec);
            if(debug) { cout << "Seconds = " + sec << endl; }
        }
        else
        {
            token = userInput.substr(0, userInput.find(delimiter));
            sec = token;
            seconds = stoi(sec);
            userInput = userInput.substr(token.length() + 1);
            if(debug) { cout << "Seconds = " + sec << endl; }
            
            am_pm = userInput;
            if(debug) { cout << "AM or PM = " + am_pm << endl; }
        }
        
        //Fix time if needed
        if(seconds > 59) {
            int amtChange = divideBy60(seconds);
            seconds = seconds - (amtChange * 59) - 1;
            
            if(debug) { cout << amtChange << "  " << seconds << endl; }
            
            minutes += amtChange;
        }
        
        if(minutes > 59)  {
            int amtChange = divideBy60(minutes);
            minutes = minutes - (amtChange * 59) - 1;
            
            if(debug) { cout << amtChange << "  " << minutes << endl; }
            
            hours += amtChange;
        }
        
        if(is24hour == true)
        {
            if(hours > 24)  {
                int amtChange = divideBy24(hours);
                hours = hours - (amtChange * 24);
            }
        }
        else
        {
            if(hours > 12)  {
                int amtChange = divideBy12(hours);
                hours = hours - (amtChange * 12);
                
                //if it is an odd number flip A/P
                if((amtChange % 2) != 0)
                {
                    if(am_pm.compare("A") == 0)  { am_pm = "P"; }
                    else { am_pm = "A"; }
                }
            }
            
            if(hours == 12)  {
                if(am_pm.compare("A") == 0)  { am_pm = "P"; }
                else { am_pm = "A"; }
            }
            
            if(debug) { cout << "Hours = " << "  " << hours << endl; }
            if(debug) { cout << "Am or PM? = " << "  " << am_pm << endl; }
            
        }
        
        //Display Stuff
        if(is24hour)  {
            
            if(hours > 12)
            {
                hours = hours - 12;
                cout << hours << ":" << minutes << ":" << seconds << " PM" << endl;
            }
            
            else
            {
                cout << hours << ":" << minutes << ":" << seconds << " AM" << endl;
            }
            
        }
        else
        {
            if(am_pm.compare("P") == 0)  {
                if(hours != 12)
                    hours = hours + 12;
            }
            
            if(am_pm.compare("A") == 0)  {
                if(hours == 12)  { hours = 0; }
            }
            
            cout << hours << ":" << minutes << ":" << seconds << endl;
            //if(am_pm.compare("A") == 0)  { cout << " AM" << endl; }
            //else { cout << " PM" << endl; }
        }

        
    }while(userInput.compare("99") != 0);
    
    
    return 0;
}
